/* Layout: Main */

.single,
.archive,
.category,
.page,
.search {
  #hero {
    @include media-breakpoint-down(lg) {
      display: none;
    }
  }
}
.page-id-5 {
  #hero {
    @include media-breakpoint-down(lg) {
      display: block;
    }
  }
}

.archive,
.category,
.tag
 {
  .post-body-content {
    margin-top: 2rem;
    margin-bottom: 3rem;
  }
}

#hero {
    overflow-x: hidden
}

.page-content {
  width: calc(100% - 17rem);
  margin-right: 17rem;
  transition: all 0.4s;
  &.nonactive {
    width: 100%;
    margin: 0;
  }
  .page-body {
    background: linear-gradient(90deg, rgba(color(theme-third-lightest), 0) 0%, rgba(color(theme-third-lightest), 1) 15%, rgba(color(theme-third-lightest), 1) 85%, rgba(color(theme-third-lightest), 0) 100%);
    body.dark-mode & {
      background: linear-gradient(90deg, rgba(color(mono-darkest), 0) 0%, rgba(color(mono-darkest), 1) 15%, rgba(color(mono-darkest), 1) 85%, rgba(color(mono-darkest), 0) 100%);

    }
    @include media-breakpoint-down(md) {
      background-color: color(theme-third-lightest);
      body.dark-mode & {
        background-color: color(mono-darkest);
      }
    }
  }
}

@media (max-width: 768px) {
  .page-content {
    //width: 100%;
    margin: 0;
    width: calc(100%);
    /*&.nonactive {
        margin-right: 17rem;
        width: calc(100% - 17rem);
    }*/
  }
}

.hero {
  &-title {
    &-char {
      display: inline;
      opacity: 0;
      transition: opacity 5s;
      transition-timing-function: cubic-bezier(0.1, 0.7, 1.0, 0.1);
      cursor: pointer;
      &:hover {
        opacity: 1;
      }
    }
  }
}